### Class

# EvinceDocument FormField

#### Description

    abstract class EvinceDocument.FormField : GObject.Object {
      parent: GObject,
      id: gint,
      is_read_only: gboolean,
      font_size: gdouble,
      activation_link: EvLink*,
      page: EvPage*,
      changed: gboolean
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- EvFormFieldButton
- EvFormFieldChoice
- EvFormFieldSignature
- EvFormFieldText

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceDocumentFormFieldClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.